Status: Closed Start date: 28 Aug 2015

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 24.00 hours

Target version: CoCoALib-0.99540 Feb 2016 Spent time: 24.00 hours

Description

Make a first prototype of communication with GFan.

(more evolved and specific tasks will be separate issues)

Related issues:

Related to CoCoALib - Feature #180: GlobalManager: registration of global var... Closed 07 Jun 2012

Related to CoCoALib - Design #763: GlobalManager: initialization compatible w... In Progress 01 Sep 2015

Related to CoCoALib - Design #769: CoCoALib cone In Progress 03 Sep 2015

Related to CoCoALib - Feature #780: GroebnerFan/ExternalLib-GFan: improve pac... In Progress 24 Sep 2015

Related to CoCoA-5 - Feature #903: New function CallOnGroebnerFanIdeals: call... Closed 04 Jul 2016

History

#1 - 30 Aug 2015 16:46 - Anna Maria Bigatti

Get inspiration from Macaulay2:

http://www.math.uiuc.edu/Macaulay2/doc/Macaulay2-1.8.2/share/doc/Macaulay2/gfanInterface/html/

and Singular (only for tropical)

http://www.singular.uni-kl.de/Manual/3-1-6/sing_1881.htm#SEC1957

#2 - 01 Sep 2015 11:09 - Anna Maria Bigatti

What do we want?

- cones (CoCoACone=NmzCone+GFan, or two separate implementations inheriting from a base class)

- fans

- Groebner fan of an ideal (the fan itself or the GBases?)

--------------------------------------

Aim for this week:

- prototype implementetation of a GFan object for cone (freely, but following the names we chose for Normaliz)

- prototype function to compute the GBases (either through GFanLib, or directly in CoCoA, with the help of Anders ;-)

#3 - 24 Sep 2015 18:11 - Anna Maria Bigatti

- Status changed from New to Closed

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 100

- Estimated time changed from 15.00 h to 24.00 h

First prototype is done and working!!

Current design is:

- cone functions are in CoCoALib
- GroebnerFan algorithm is in a CoCoA-5 package: GroebnerFan.cpkg5 (by Anders N. Jensen)

Plans for the future:

a.1 - generalize cocoa-cone

a.2 - make a CONE type in cocoa-5

b.1 - improve the package

b.2 - implement is in cocoalib

#4 - 24 Sep 2015 18:23 - Anna Maria Bigatti

(Rudimentary) documentation is done.

#5 - 24 Mar 2016 08:04 - George Bateman

GFan

#6 - 04 Jul 2016 11:44 - Anna Maria Bigatti

- Related to Feature #903: New function CallOnGroebnerFanIdeals: call function on GFan ideals added
